/***
   This file is part of libfly-ocr.

   Copyright (C) 2021 LLC "RusBITech-Astra" (https://astralinux.ru)

   libfly-ocr is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation, either version 3 of the
   License, or (at your option) any later version.

   Foobar is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with libfly-ocr.  If not, see <https://www.gnu.org/licenses/>.
***/

#ifndef FLY_OCR_H
#define FLY_OCR_H

#include <QString>
#include "fly-ocr_export.h"

class FLY_OCR_EXPORT FlyOcr
{
public:
    struct Lang {
        QString shortName;
        QString code; //ISO 639-1
        QString name;
    };


    static QString pluginPath();
    static QStringList findPlugins();

private:
    FlyOcr();
    ~FlyOcr();
};

#endif
